%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name oslo.i18n
%define version 3.23.1
%define unmangled_version 3.23.1
%define unmangled_version 3.23.1
%define release 1

Summary: Oslo i18n library
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}oslo.i18n
Version: %{version}
Release: %{release}
Source0: oslo.i18n-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/oslo.i18n-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenStack <openstack-discuss@lists.openstack.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://docs.openstack.org/oslo.i18n/latest


%description
========================
Team and repository tags
========================

.. image:: https://governance.openstack.org/tc/badges/oslo.i18n.svg
    :target: https://governance.openstack.org/tc/reference/tags/index.html

.. Change things from this point on

==================================================
 oslo.i18n -- Oslo Internationalization Utilities
==================================================

.. image:: https://img.shields.io/pypi/v/oslo.i18n.svg
    :target: https://pypi.org/project/oslo.i18n/
    :alt: Latest Version

.. image:: https://img.shields.io/pypi/dm/oslo.i18n.svg
    :target: https://pypi.org/project/oslo.i18n/
    :alt: Downloads

The oslo.i18n library contain utilities for working with
internationalization (i18n) features, especially translation for text
strings in an application or library.

* Free software: Apache license
* Documentation: https://docs.openstack.org/oslo.i18n/latest
* Source: https://git.openstack.org/cgit/openstack/oslo.i18n
* Bugs: https://bugs.launchpad.net/oslo.i18n
* Release notes:  https://docs.openstack.org/releasenotes/oslo.i18n/




%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n oslo.i18n-%{unmangled_version} -n oslo.i18n-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
